Logical function IsHermitian(n, a)

implicit real(8) (a-h, o-z)

complex(8) a(n,n)


do i=1,n

do j=i,n

if(.not. a(i,j)==conjg(a(j,i)) ) then
IsHermitian =.false.
RETURN
endif

enddo
enddo

IsHermitian =.true.
END

Logical function IsSimetric(n, a)
complex(8) a(n,n)


do i=1,n

do j=i+1,n

if(.not. a(i,j)==a(j,i) ) then
IsSimetric =.false.
RETURN
endif

enddo
enddo

IsSimetric =.true.
END